Summary:	SMake -- Makefile generator.
Name:		smake
Version:	1.3.2
Release:	2
#Serial:		2
#Copyright:	GPL
Epoch:		1
License:	GPL
Group:		Development/Building
URL:		http://www.engelschall.com/sw/smake
Vendor:		Ralf S. Engelschall <rse@engelschall.com>
Source:		http://www.engelschall.com/sw/smake/%{name}-%{version}.tar.gz
Distribution:	Freshmeat RPMs
BuildRoot:	/var/tmp/%{name}-root
Requires:	perl >= 5.004
BuildArch:	noarch
Prefix:		%{_prefix}

%description
 SMake is a powerful mechanism to generate standard Makefiles out of skeleton
 Makefiles which only provide the essential parts. The missing stuff gets
 automatically filled in by shared include files. A great scheme to create a
 huge Makefile hierarchy and to keep it consistent for the time of
 development. The trick is that it merges the skeleton and the templates in
 a priority-driven way. The idea is taken from X Consortiums Imake, but the
 goal here is not inherited system independency, the goal is consistency and
 power without the need of manually maintaining a Makefile hierarchy. 

%prep
%setup -q

%build
./configure --prefix=%{prefix}
make

%install
if [ -d $RPM_BUILD_ROOT ] && [ ! -L $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
make prefix=$RPM_BUILD_ROOT%{prefix} install

( cd $RPM_BUILD_ROOT

 for dir in bin lib
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{prefix}/$dir/* .
    cd -
 done
)

%clean
if [ -d $RPM_BUILD_ROOT ] && [ ! -L $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc sample COPYING CREDITS ChangeLog INSTALL LICENSE README
%{prefix}/bin/smake
%{prefix}/bin/smkmf
%{prefix}/man/man1/sm*.1
%{prefix}/lib/smake
/usr/bin/smake
/usr/bin/smkmf
/usr/lib/smake

%changelog
* Wed Apr 16 2025 Sumitra Dawn <Sumitra.Dawn@ibm.com> 2.37 -2
- Rebuild for AIX 7.1 using RPMv4

* Thu Jul 05 2001 David Clissold <cliss@austin.ibm.com>
- initial build for AIX Toolbox

* Tue May 18 1999 Ryan Weaver <ryanw@infohwy.com>
  [smake-1.3.2-1]
- 990517 rse:
- upgrade to shtool 1.2.7
- fixed file modes in CVS tree
- removed unused etc/crunch
- added CREDITS file

- 990516 Burl Nyswonger:
- fixed ctime() to return the correct date after 20th century.
- fixed variable: '$SMake_version' -> '$smake_version'
- fixed 'require smake_vers.pl' -> 'require smake_version.pl'
- changed the calling convention of functions in the 'file' package.
- added safety feature to prevent overwrite of output file.
- added ``-I +dirname'' feature for include dirs found in parents dirs
- added safety feature to remove write-mode on outputfile (readonly)
- made smkmf pass more parameters along to smake children

* Thu May  7 1999 Ryan Weaver <ryanw@infohwy.com>
  [smake-1.3.1-1]
- Fixed a tr-bug by upgrading shtool.

* Wed May  5 1999 Ryan Weaver <ryanw@infohwy.com>
  [smake-1.3.0-1]
- Initial RPM Build.

